Skip to main content
PUT
Update webhook endpoint

Authorizations

x-api-key
string
header
required

Path Parameters

endpoint_id
string
required

Webhook endpoint ID

Body

application/json
url
string

New webhook URL (must be HTTPS)

Example:

"https://example.com/webhook"

events
enum<string>[]

New list of events to subscribe to

Available options:
generated_video_success,
generated_video_failed
Example:
status
enum<string>

New webhook status

Available options:
enabled,
disabled

Response

200 - application/json

Successful operation

endpoint_id
string

Unique identifier for the webhook

url
string

Webhook URL

secret
string

Secret for signature verification

status
string

Current webhook status

events
string[]

List of subscribed events

username
string

Username

Example:

"jogg@gmail.com"

created_at
integer

Creation timestamp

Example:

1703894400